Subject: Re: bug#38181: Actual height of mode-line not taken into account

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Nov 2019 19:26:21 +0200

> Cc: [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Sun, 17 Nov 2019 09:55:47 +0100
> 
>  > But I thought we'd established that mode-line height calculation is
>  > not the culprit, the culprit is the fact that a window's height is not
>  > recomputed when the mode-line height changes.  Did I misunderstand?
> 
> I don't think we contradicted each other's sayings here.  To
> recapitulate what we found out so far:
> 
> (1) To operate correctly in the user's sense, 'fit-window-to-buffer'
>      has to know the height of the mode line of the window it operates
>      on as it will be shown by the next redisplay.

I didn't see where fit-window-to-buffer looks at the height of the
mode line.  What did I miss?

> (2) When users or applications (maybe implicitly) change the mode line
>      appearance, they have no generally established way to tell Emacs
>      that this happened.  The display engine has to find out by herself
>      but then it's already too late for telling 'fit-window-to-buffer'.

Suppose we had a Lisp-callable function which would return the height
of the mode line of a window as per the current mode-line-format for
that window -- would that make the solution possible/easier?